﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using WSUniversalLib;

namespace UnitTestProject1
{
    [TestClass]
    public class UnitTest1
    {
        [TestMethod]
        public void GetQuantityForProduct_AreEqualTo114146()
        {
            Assert.AreEqual(Calculation.GetQuantityForProduct(3, 1, 15, 20, 45), 114146);
        }

        [TestMethod]
        public void GetQuantityForProduct_AreEqualToMinus1_1()
        {
            Assert.AreEqual(Calculation.GetQuantityForProduct(10, 1, 15, 20, 45), -1);
        }

        [TestMethod]
        public void GetQuantityForProduct_AreEqualToMinus1_2()
        {
            Assert.AreEqual(Calculation.GetQuantityForProduct(3, 20, 15, 20, 45), -1);
        }

        [TestMethod]
        public void GetQuantityForProduct_AreEqualToZero_1()
        {
            Assert.AreEqual(Calculation.GetQuantityForProduct(3, 1, 0, 20, 45), 0);
        }

        [TestMethod]
        public void GetQuantityForProduct_AreEqualToZero_2()
        {
            Assert.AreEqual(Calculation.GetQuantityForProduct(3, 1, 15, 0, 45), 0);
        }

        [TestMethod]
        public void GetQuantityForProduct_AreEqualToZero_3()
        {
            Assert.AreEqual(Calculation.GetQuantityForProduct(3, 1, 15, 20, 0), 0);
        }

        [TestMethod]
        public void GetQuantityForProduct_AreEqualTo13240()
        {
            Assert.AreEqual(Calculation.GetQuantityForProduct(1, 1, 30, 20, 20), 13240);
        }

        [TestMethod]
        public void GetQuantityForProduct_AreEqualTo125150()
        {
            Assert.AreEqual(Calculation.GetQuantityForProduct(2, 2, 5, 100, 100), 125150);
        }

        [TestMethod]
        public void GetQuantityForProduct_AreEqualTo1324055()
        {
            Assert.AreEqual(Calculation.GetQuantityForProduct(3, 2, 100, 5, 5), 21100);
        }

        [TestMethod]
        public void GetQuantityForProduct_AreEqualToMinus1_4()
        {
            Assert.AreEqual(Calculation.GetQuantityForProduct(1, 5, 30, 20, 20), -1);
        }

        [TestMethod]
        public void GetQuantityForProduct_AreEqualToMinus1_5()
        {
            Assert.AreEqual(Calculation.GetQuantityForProduct(6, 5, 30, 20, 20), -1);
        }

        [TestMethod]
        public void GetQuantityForProduct_AreEqualToZero_5()
        {
            Assert.AreEqual(Calculation.GetQuantityForProduct(2, 1, 15, 0, 0), 0);
        }

        [TestMethod]
        public void GetQuantityForProduct_AreEqualToMinus1_6()
        {
            Assert.AreEqual(Calculation.GetQuantityForProduct(6, 1, 30, 0, 0), -1);
        }

        [TestMethod]
        public void GetQuantityForProduct_AreEqualToMinus1_7()
        {
            Assert.AreEqual(Calculation.GetQuantityForProduct(6, 4, 0, 0, 0), -1);
        }

        [TestMethod]
        public void GetQuantityForProduct_AreEqualTo39649()
        {
            Assert.AreEqual(Calculation.GetQuantityForProduct(1, 1, 33, 33, 33), 39649);
        }
    }
}
